# Overseer

## Description
Overseer is a port scanning web interface. All current and historical results are stored in a database.

## Running
```
# Be sure image is built
docker-compose build

# Run compose in background. Service accessible via localhost:5000
docker-compose up -d
```

## Developing

### Server
Ideally from a virtualenv:
```
python setup.py develop
```

### Client
At this point, you have to build the client to appropriately populate the static resources for
the Flask server to serve up.

## Building
Overseer consists of a server and client component.

### Server:
Ideally from a virtualenv:
```
python setup.py install
```

### Client:
You must run these commands from the `./src/overseer_client/` directory:
```
yarn build
```

# Notes
In a production environment, it would be ideal to setup something like nginx to properly forward
the `/api/*` routes to the Flask server, and all other endpoints to the static client resources.
